"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoOpAjvValidator = () => true;
function getValidatorError(validator, defaultMessage, defaultProp = "") {
    if (!validator.errors) {
        return defaultMessage;
    }
    if (validator.errors.length == 0) {
        return defaultMessage;
    }
    const error = validator.errors[0];
    if (!error.message) {
        return defaultMessage;
    }
    let prop = error.propertyName || error.dataPath || defaultProp;
    if (prop && prop != "") {
        prop += " ";
    }
    return `${prop}${validator.errors[0].message}`;
}
exports.getValidatorError = getValidatorError;
//# sourceMappingURL=ajv-utils.js.map