"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const create_symbol_1 = __importDefault(require("../create-symbol"));
const ControllerMethodMetadataSymbol = create_symbol_1.default("controller-method-metadata");
function getControllerMethodMetadata(method) {
    return method[ControllerMethodMetadataSymbol] || undefined;
}
exports.getControllerMethodMetadata = getControllerMethodMetadata;
function setControllerMethodMetadata(method, metadata) {
    method[ControllerMethodMetadataSymbol] = metadata;
}
exports.setControllerMethodMetadata = setControllerMethodMetadata;
function appendControllerMethodMetadata(method, metadata) {
    if (!method[ControllerMethodMetadataSymbol]) {
        method[ControllerMethodMetadataSymbol] = {};
    }
    lodash_1.merge(method[ControllerMethodMetadataSymbol], metadata);
}
exports.appendControllerMethodMetadata = appendControllerMethodMetadata;
//# sourceMappingURL=controller-method.js.map